Subject: [Idr] Comments on draft-hegde-idr-bgp-ls-epe-inter-as-00

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 26 Mar 2019 16:57:53 +0000

Hi Shraddha/Srihari,

Some comments on this draft that was presented at IDR session on Monday.

Sec 3 talks about the F flag and that it is set on the "FRR SID". I get the impression that this introduces new/additional BGP Peering SIDs called "FRR SID" to provide backup for some "normal" BGP Peering SIDs. It would help if additional text and clarification with examples were provided to indicate how this is all achieved and the proposal to advertise all these "FRR SID" and their association with the "normal" BGP Peering SIDs.

The new thing being proposed in this draft in Sec 4 is about including the Local Address TLVs along with the Link NLRI that represents the BGP Peering session and carries the BGP Peer Node SID TLV so that it may be possible to map the underlying Link NLRIs that are associated with the BGP Peer Adjacency SID TLVs. I believe this aspect is useful. I would suggest to reuse TLV 259 and 261 instead of having to define new TLVs and codepoints - you would find they are exactly what you are proposing to introduce.

Regarding advertisement of other details and TE attributes for Inter-AS links, I would request you to check/review https://tools.ietf.org/html/draft-ketant-idr-bgp-ls-bgp-only-fabric-02 which covers this topic. It is applicable to any BGP-only network or part of it including the Inter-AS links.

Thanks,
Ketan